{% extends "src/elements/_template.njk" %}
{% set title = "Проекты" %}
{% block content %}
    <div class="section">
        <h1 class="mb-16">{{ title }}</h1>
        <div class="post-content">
            <p>Тестовый текст. Компания также занимается поставкой электрогенераторных установок, строительной техники для малого и среднего бизнеса. Мы являемся компанией полного цикла, имеем возможность сопровождения наших клиентов на всех этапах жизненного цикла оборудования, за которое несём ответственность.</p>
        </div>
        <div class="map-block" id="map-block"></div>
        <div class="desk mb-md-28">
            <div class="desk__content justify-content-start column-gap-28">
                <div class="desk__item">
                    <div class="desk__label">Сортировать по</div>
                    <div class="desk__sorter">
                        <div class="sorter" data-select>
                            <input type="hidden" data-select-value="Производство">
                            <div class="sorter__header" data-select-toggle>
                                <div class="sorter__active" data-select-active>Производство</div>
                                <div class="sorter__arrow">
                                    <svg class="ico-svg" viewBox="0 0 5 3" xmlns="http://www.w3.org/2000/svg">
                                        <use xlink:href="img/sprites/sprite.svg#sorter_arrow" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                    </svg>
                                </div>
                            </div>
                            <div class="sorter__content">
                                <div class="sorter__item " data-select-item="Все">Все</div>
                                <div class="sorter__item active" data-select-item="Производство">Производство</div>
                                <div class="sorter__item" data-select-item="Строительство">Строительство</div>
                                <div class="sorter__item" data-select-item="Медицина">Медицина</div>
                                <div class="sorter__item" data-select-item="Лаборатории">Лаборатории</div>
                                <div class="sorter__item" data-select-item="Торговые помещения">Торговые помещения</div>
                            </div>
                        </div><!-- .sorter -->
                    </div>
                </div>
                <div class="desk__item">
                    <div class="desk__label">Год</div>
                    <div class="desk__sorter">
                        <div class="sorter" data-select>
                            <input type="hidden" data-select-value="Цена">
                            <div class="sorter__header" data-select-toggle>
                                <div class="sorter__active" data-select-active>Все</div>
                                <div class="sorter__arrow">
                                    <svg class="ico-svg" viewBox="0 0 5 3" xmlns="http://www.w3.org/2000/svg">
                                        <use xlink:href="img/sprites/sprite.svg#sorter_arrow" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                    </svg>
                                </div>
                            </div>
                            <div class="sorter__content">
                                <div class="sorter__item active" data-select-item="Все">Все</div>
                                <div class="sorter__item" data-select-item="2022">2021</div>
                                <div class="sorter__item" data-select-item="2022">2022</div>
                                <div class="sorter__item" data-select-item="2023">2023</div>
                                <div class="sorter__item" data-select-item="2024">2024</div>
                            </div>
                        </div><!-- .sorter -->
                    </div>
                </div>
            </div>
        </div><!-- .desk -->

        <div class="news-grid">
            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__01.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">24 февраля 2024</div>
                <div class="news-item__title">
                    Спецзаказ для конструкторского бюро машиностроения в Коломне
                </div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->
            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__02.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">1 февраля 2024</div>
                <div class="news-item__title">
                    Поставка МКС для Стойленского ГОК
                </div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->
            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__03.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">16 января 2021</div>
                <div class="news-item__title">
                    Спецзаказ для конструкторского бюро машиностроения в Коломне
                </div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->

            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__04.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">24 февраля 2024</div>
                <div class="news-item__title">
                    Поставка МКС для Стойленского ГОК
                </div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->
            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__05.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">1 февраля 2024</div>
                <div class="news-item__title">
                    Спецзаказ для конструкторского бюро машиностроения в Коломне
                </div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->
            <div class="news-item">
                <div class="news-item__media">
                    <img src="img/content/project_item_image__06.jpg" class="img-cover" alt="">
                </div>
                <div class="news-item__date">16 января 2021</div>
                <div class="news-item__title">Поставка МКС для Стойленского ГОК</div>
                <a href="#" class="news-item__link"></a>
            </div><!-- .news-item -->
        </div>

        <div class="showcase-view showcase-view--md">
            <button type="button" class="btn btn-outline btn-sm">
                <span>Показать ещё</span>
            </button>
        </div>
        <div class="page-nav page-nav--md">
            <div class="page-nav__pagination">
                <ul class="pagination">
                    <li class="pagination__item">
                        <button type="button" class="pagination__nav" disabled>
                            <i>
                                <svg class="ico-svg" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                                    <use xlink:href="img/sprites/sprite.svg#chevron_left" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                </svg>
                            </i>
                        </button>
                    </li>
                    <li class="pagination__item">
                        <span class="pagination__link active">1</span>
                    </li>
                    <li class="pagination__item">
                        <a href="#" class="pagination__link">2</a>
                    </li>
                    <li class="pagination__item">
                        <a href="#" class="pagination__link">3</a>
                    </li>
                    <li class="pagination__item">...</li>
                    <li class="pagination__item">
                        <a href="#" class="pagination__link">86</a>
                    </li>
                    <li class="pagination__item">
                        <button type="button" class="pagination__nav">
                            <i>
                                <svg class="ico-svg" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                                    <use xlink:href="img/sprites/sprite.svg#chevron_right" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                </svg>
                            </i>
                        </button>
                    </li>
                </ul>
            </div>
            <div class="page-nav__switcher">
                <div class="page-nav__label">Номер страницы:</div>
                <div class="page-nav__field">
                    <label class="field field--sm">
                        <input type="number" value="1" class="text-center" min="1" max="1000">
                    </label>
                </div>
                <button type="button" class="pagination__nav pagination__nav--primary">
                    <i>
                        <svg class="ico-svg" viewBox="0 0 16 16" xmlns="http://www.w3.org/2000/svg">
                            <use xlink:href="img/sprites/sprite.svg#chevron_right" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                        </svg>
                    </i>
                </button>
            </div>
        </div><!-- .page-nav -->
    </div>

{% endblock %}

{% block pageScripts %}
    <script src="https://api-maps.yandex.ru/2.1/?lang=ru_RU&amp;apikey=<ваш API-ключ>" type="text/javascript"></script>
    <script>
        ymaps.ready(function () {
            const myMap = new ymaps.Map('map-block', {
                    center: [55.751574, 37.573856],
                    zoom: 9,
                    controls: ['zoomControl']
                }, {
                    searchControlProvider: 'yandex#search'
                }),
                clusterer = new ymaps.Clusterer({
                    preset: 'islands#invertedBlueClusterIcons',
                    clusterHideIconOnBalloonOpen: false,
                    geoObjectHideIconOnBalloonOpen: false
                });

            clusterer.events
                // Можно слушать сразу несколько событий, указывая их имена в массиве.
                .add(['mouseenter', 'mouseleave'], function (e) {
                    let target = e.get('target'),
                        type = e.get('type');
                    if (typeof target.getGeoObjects != 'undefined') {
                        // Событие произошло на кластере.
                        if (type == 'mouseenter') {
                            target.options.set('preset', 'islands#invertedDarkBlueClusterIcons');
                        } else {
                            target.options.set('preset', 'islands#invertedBlueClusterIcons');
                        }
                    } else {
                        // Событие произошло на геообъекте.
                        if (type == 'mouseenter') {
                            target.options.set('preset', 'islands#darkBlueIcon');
                        } else {
                            target.options.set('preset', 'islands#BlueIcon');
                        }
                    }
                });

            var getPointData = function (index) {
                    return {
                        balloonContentBody: 'балун <strong>метки ' + index + '</strong>',
                        clusterCaption: 'метка <strong>' + index + '</strong>'
                    };
                },
                getPointOptions = function () {
                    return {
                        preset: 'islands#blueIcon'
                    };
                },
                points = [
                    [55.831903,37.411961], [55.763338,37.565466], [55.763338,37.565466], [55.744522,37.616378], [55.780898,37.642889], [55.793559,37.435983], [55.800584,37.675638], [55.716733,37.589988], [55.775724,37.560840], [55.822144,37.433781], [55.874170,37.669838], [55.716770,37.482338], [55.780850,37.750210], [55.810906,37.654142], [55.865386,37.713329], [55.847121,37.525797], [55.778655,37.710743], [55.623415,37.717934], [55.863193,37.737000], [55.866770,37.760113], [55.698261,37.730838], [55.633800,37.564769], [55.639996,37.539400], [55.690230,37.405853], [55.775970,37.512900], [55.775777,37.442180], [55.811814,37.440448], [55.751841,37.404853], [55.627303,37.728976], [55.816515,37.597163], [55.664352,37.689397], [55.679195,37.600961], [55.673873,37.658425], [55.681006,37.605126], [55.876327,37.431744], [55.843363,37.778445], [55.875445,37.549348], [55.662903,37.702087], [55.746099,37.434113], [55.838660,37.712326], [55.774838,37.415725], [55.871539,37.630223], [55.657037,37.571271], [55.691046,37.711026], [55.803972,37.659610], [55.616448,37.452759], [55.781329,37.442781], [55.844708,37.748870], [55.723123,37.406067], [55.858585,37.484980]
                ],
                geoObjects = [];

            for(let i = 0, len = points.length; i < len; i++) {
                geoObjects[i] = new ymaps.Placemark(points[i], getPointData(i), getPointOptions());
            }

            clusterer.add(geoObjects);
            myMap.geoObjects.add(clusterer);

            myMap.setBounds(clusterer.getBounds(), {
                checkZoomRange: true
            });
        });
    </script>

{% endblock %}
